## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPath::NodeTester Class Reference

Inheritance diagram for XPath::NodeTester:

[legend]
Collaboration diagram for XPath::NodeTester:

[legend]
List of all members.

## Public Member Functions

- NodeTester ()
- NodeTester (const NodeTester &theSource)
- NodeTester (const XPath &xpath, XPathExecutionContext &executionContext, OpCodeMapPositionType opPos, OpCodeMapValueType argLen, OpCodeMapValueType stepType)
- NodeTester (XPathConstructionContext &theContext, const XalanDOMString &theNameTest, const PrefixResolver &thePrefixResolver, const LocatorType *theLocator=0, eMatchScore *theMatchScore=0)
- NodeTester (const XalanDOMString &theNamespaceURI, const XalanDOMString &theLocalName, eMatchScore *theMatchScore=0)
- eMatchScore operator() (const XalanNode &context, XalanNode::NodeType nodeType) const
- eMatchScore operator() (const XalanElement &context) const
- NodeTester & operator= (const NodeTester &theRHS)

## Protected Member Functions

- eMatchScore initialize (XPathConstructionContext &theConstructionContext, const XalanDOMString &theNameTest, const PrefixResolver &thePrefixResolver, const LocatorType *theLocator)
- eMatchScore initialize (const XalanDOMString &theNamespaceURI, const XalanDOMString &theLocalName)

## Constructor & Destructor Documentation

XPath::NodeTester::NodeTester | ( |  | ) |

XPath::NodeTester::NodeTester | ( | const NodeTester & | theSource | ) |

XPath::NodeTester::NodeTester | ( | const XPath & | xpath,
|  | XPathExecutionContext & | executionContext,
|  | OpCodeMapPositionType | opPos,
|  | OpCodeMapValueType | argLen,
|  | OpCodeMapValueType | stepType
| ) |

XPath::NodeTester::NodeTester | ( | XPathConstructionContext & | theContext,
|  | const XalanDOMString & | theNameTest,
|  | const PrefixResolver & | thePrefixResolver,
|  | const LocatorType * | theLocator = 0,
|  | eMatchScore * | theMatchScore = 0
| ) |

XPath::NodeTester::NodeTester | ( | const XalanDOMString & | theNamespaceURI,
|  | const XalanDOMString & | theLocalName,
|  | eMatchScore * | theMatchScore = 0
| ) |

## Member Function Documentation

eMatchScore XPath::NodeTester::initialize | ( | const XalanDOMString & | theNamespaceURI,
|  | const XalanDOMString & | theLocalName
| ) | `[protected]`

eMatchScore XPath::NodeTester::initialize | ( | XPathConstructionContext & | theConstructionContext,
|  | const XalanDOMString & | theNameTest,
|  | const PrefixResolver & | thePrefixResolver,
|  | const LocatorType * | theLocator
| ) | `[protected]`

eMatchScore XPath::NodeTester::operator() | ( | const XalanElement & | context | ) | const

eMatchScore XPath::NodeTester::operator() | ( | const XalanNode & | context,
|  | XalanNode::NodeType | nodeType
| ) | const

NodeTester& XPath::NodeTester::operator= | ( | const NodeTester & | theRHS | ) |

The documentation for this class was generated from the following file:

- XPath.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.